<?php
require'fun.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$go=$_POST['go']??$_GET['go']??date('Y-m-d');
$titlu='Adaugă melodia zilei';
$back[1]='<a href="/melodia-zilei/data/'.$go.'">'.img('playlist.gif',2).'Melodia zilei</a>';
require'f_sus.php';
if(!in_array($de,$id_proprietari))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai privilegiul de a accesa această pagină, păstrează distanța!'.$div[0];
require'f_jos.php';
}
if($pmtext!=''&&$go!='')
{
$id1=$_POST['id1']??'';
$id2=$_POST['id2']??'';
$id3=$_POST['id3']??'';
$id4=$_POST['id4']??'';
$id5=$_POST['id5']??'';
require'f_data_valida.php';
if(!data_valida($go,'Y-m-d'))
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Ziua setată nu există în calendar!';
elseif($id1>0&&$conn->query('SELECT COUNT(*)FROM`descarcari_fisiere`WHERE`vizibil`>"0"&&`id`="'.$id1.'"')->fetch_row()[0]==0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Melodia setată nu există în baza de date!';
elseif($id2>0&&$conn->query('SELECT COUNT(*)FROM`descarcari_fisiere`WHERE`vizibil`>"0"&&`id`="'.$id2.'"')->fetch_row()[0]==0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Negativul setat nu există în baza de date!';
elseif($id3>0&&$conn->query('SELECT COUNT(*)FROM`cantari`WHERE`id`="'.$id3.'"')->fetch_row()[0]==0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Cântarea setată nu există în baza de date!';
elseif($id4>0&&$conn->query('SELECT COUNT(*)FROM`descarcari_fisiere`WHERE`vizibil`>"0"&&`id`="'.$id4.'"')->fetch_row()[0]==0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Tonul de apel <strong>varianta 1</strong> setat nu există în baza de date!';
elseif($id5>0&&$conn->query('SELECT COUNT(*)FROM`descarcari_fisiere`WHERE`vizibil`>"0"&&`id`="'.$id5.'"')->fetch_row()[0]==0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Tonul de apel <strong>varianta 2</strong> setat nu există în baza de date!';
elseif($conn->query('INSERT INTO`melodia_zilei`SET`nume`="'.$pmtext.'",`data`="'.$go.'",`id1`="'.$id1.'",`id2`="'.$id2.'",`id3`="'.$id3.'",`id4`="'.$id4.'",`id5`="'.$id5.'"'))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Administrare",`de`="'.$de.'",`text`="a adăugat melodia zilei cu numele [b]'.$pmtext.'[/b]",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'A fost setată melodia zilei cu numele '.$pmtext.'!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Probabil este adăugată melodia zilei pentru aceasta zi!';
echo$div[0];
}
else
{
echo$div[4].img('administrare.png',1).'Adaugă melodia zilei'.$div[5].$div[10].'Pentru adaugarea la melodia zilei, trebuie să cunoști identitatea fișierelor adaugate la descărcări și a cantarii adăugată la cantari!'.$div[0];
$form[0]='/admin-adauga-melodia-zilei" method="post';
$form[1]=0;
$form[2]=$div[1].'Nume melodie:<br /><input name="pmtext" />'.$div[0].$div[1].'ID melodie cu voce:<br /><input name="id1" />'.$div[0].$div[1].'ID negativ:<br /><input name="id2" />'.$div[0].$div[1].'ID cantare text:<br /><input name="id3" />'.$div[0].$div[1].'ID ton de apel <strong>varianta 1</strong>:<br /><input name="id4" />'.$div[0].$div[1].'ID ton de apel <strong>varianta 2</strong>:<br /><input name="id5" />'.$div[0].$div[1].'Data:<br /><input name="go" value="'.$go.'" />'.$div[0];
$form[3]='pmtext::id1::id2::id3::id4::id5::go';
$form[4]='Adauga';
require'f_form.php';
}
require'f_jos.php';